[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ButtonPanel' (#lcl)

# TCustomButtonPanel.ShowButtons

Indicates the buttons displayed on the panel.

## Declaration

Source position: buttonpanel.pas line 111

`public property TCustomButtonPanel.ShowButtons : TPanelButtons read FShowButtons write SetShowButtons default DefShowButtons;`

## Description

ShowButtons is a TPanelButtons property which contains the set of buttons displayed on the panel. The default value for the property is defined in the DefShowButtons constant.

Changing the values in the property causes the panel and its buttons to be re-sized and re-drawn.

Use ShowGlyphs to indicate which buttons have an image displayed on the button surface.

For example:

    // var aButtonPanel: TButtonPanel...
    // use Ok and Cancel buttons only
    AButtonPanel.ShowButtons := [pbOk, pbCancel];
    AButtonPanel.ShowGlyphs := [pbOk, pbCancel];